Subject: Re: bug#9777: CUT

From: Eric Blake <[email-masked]>
Date: Mon, 17 Oct 2011 10:23:10 -0600

tag 9777 notabug
thanks

On 10/17/2011 08:30 AM, Marina Lorente Evangelio wrote:
> Hello, as i am not sure if you know spanish i will write in English.
>
> I am a studente os Telecommunications and I am trying to use cut in a
> shell that become this
> Nadal,Rafa
>
> into this:
> Rafa Nadal
>
> But I have not clear the use of cut.
>
> Please write to me (in spanish if possible)and try to help me, I would
> be very pleased with you. Thank's a lot!

Sorry that I can't reply in Spanish.  Meanwhile, you are asking for 
something that cut cannot do.  Per POSIX, cut may not reorder fields; if 
you want to reorder fields, then you have to use a program designed for 
that, such as awk:

$ echo 'Nadal,Rafa' | awk -F, '{print $2 " " $1}'
Rafa Nadal

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org